[SciPy-dev] Weave support for recent SWIG releases (patch)

Prabhu Ramachandran prabhu at aero.iitb.ac.in
Wed Jul 26 21:46:20 CDT 2006


>>>>> "Stefan" == Stefan van der Walt <stefan at sun.ac.za> writes:

    Stefan> On Wed, Jul 26, 2006 at 09:21:25PM +0530, Prabhu
    Stefan> Ramachandran wrote:
    >> Hi,
    >> 
    >> I've submitted a ticket and patch to get weave working with
    >> SWIG (from CVS) wrapped objects.  Versions of SWIG before
    >> 1.3.28 should continue to work.  The patch and ticket are
    >> available here:
    >> 
    >> http://projects.scipy.org/scipy/scipy/ticket/235

    Stefan> Older versions of SWIG seem to work fine.  Applied in
    Stefan> r2137.  Thanks, Prabhu!

Thanks!  Just a note.  SWIG broke the runtime version variable between
1.3.28 and CVS (1.3.30), i.e. they updated the object layout and
forgot to increment the version.  This means weave will not work
correctly with swig versions 1.3.28 and 1.3.29.

cheers,
prabhu


More information about the Scipy-dev mailing list